export declare function openShop(shopId: string, noRoute: boolean): boolean | undefined;
export declare function _convertShop_replaceChoices(shopId: string, previewMode: boolean): void;
export declare function isShopVisited(id: string): any;
export declare function listShopIds(): string[];
export declare function canOpenShop(id: string): boolean;
export declare function setShopVisited(id: string, visited: boolean): void;
export declare function canUseQuickShop(): "当前楼层不能使用快捷商店。" | null;
